Subject: Re: [PATCH/2.6.17-rc4 1/10] Powerpc: Add general support for mpc7 448h pc2 (Taiga) platform

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 26 May 2006 16:05:47 +1000

On Thu, 2006-05-18 at 15:49 -0500, Andy Fleming wrote:
> 
> 
> So some of this needs to be moved into u-boot (look at my patches to  
> u-boot for the 85xx CDS support, and support in the current  
> powerpc.git tree).  A lot of the PCI initialization is now there.   
> However, the interrupt maps, while properly setup in the current
> 85xx  
> u-boot oftree.dts files, is currently meaningless.  I may be wrong,  
> but I thought support for getting the map from the flat-dev tree was  
> still pending....

Well, the kernel does get the map from the tree but can't use it if the
device itself doesn't have a device-node. I'll fix that for 2.6.18
hopefully.

Ben.